Package Details: cinnamon-git 4.4.8.r70.g14e5ccee8-1

Git Clone URL: https://aur.archlinux.org/cinnamon-git.git (read-only, click to copy)
Package Base: cinnamon-git
Description: Linux desktop which provides advanced innovative features and a traditional user experience
Upstream URL: https://github.com/linuxmint/cinnamon
Licenses: GPL2
Conflicts: cinnamon
Provides: cinnamon
Submitter: chenxiaolong
Maintainer: FabioLolix (eschwartz)
Last Packager: eschwartz
Votes: 87
Popularity: 0.000000
First Submitted: 2011-12-21 05:54 (UTC)
Last Updated: 2020-04-24 00:18 (UTC)

Required by (21)

Sources (4)

Latest Comments

1 2 3 4 5 6 .. 34 Next › Last »

Dylan14 commented on 2021-03-10 23:10 (UTC)

The PKGBUILD provided by EndlessEden doesn't work as the compiler fails when linking run-js-test. It appears to be due to the export CFLAGS section of the file. Also, cjs-git is not necessary for this to build.

Here is a modified PKGBUILD with the necessary changes: https://github.com/Dylan1496/aur-pkgbuilds/blob/master/cinnamon-git/PKGBUILD

Note, the modified patch provided by EndlessEden is still needed.

EndlessEden commented on 2020-10-21 14:03 (UTC) (edited on 2020-10-21 14:33 (UTC) by EndlessEden)

default-theme.patch and "# Replace MintInstall with GNOME Software" sed command is out of date - (filename changed from org.cinnamon.gschema.xml.in to org.cinnamon.gschema.xml | summary and description lines remove leading "_" from opening tags)

Here is a modified patch for now (https://gist.github.com/EndlessEden/bb314b276cb9a6f8753d7234ab31261b)

And a modified PKGBUILD (https://gist.github.com/EndlessEden/eb674b6820a2d5968e21434c812408a8) <WIP>

oberon2007 commented on 2019-11-17 14:02 (UTC) (edited on 2019-11-17 14:04 (UTC) by oberon2007)

build fails with:

/usr/include/features.h:382:4: warning: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Wcpp]
  382 | #  warning _FORTIFY_SOURCE requires compiling with optimization (-O)
      |    ^~~~~~~
st/st-cogl-wrapper.h:15: Warning: St: st_get_cogl_context: return value: Unresolved type: 'CoglContext*'
make[3]: Leaving directory '/home/user/.cache/yay/cinnamon-git/src/cinnamon/src'
make[2]: *** [Makefile:960: all] Error 2
make[2]: Leaving directory '/home/user/.cache/yay/cinnamon-git/src/cinnamon/src'
make[1]: *** [Makefile:500: all-recursive] Error 1
make[1]: Leaving directory '/home/user/.cache/yay/cinnamon-git/src/cinnamon'
make: *** [Makefile:428: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
Error making: cinnamon-git

eschwartz commented on 2019-01-21 23:24 (UTC)

I'm currently in the process of recreating all the cinnamon-related *-git packages from scratch, but at the moment cjs-git does not even build because autoconf-archive did a backwards-incompatible change. :D

ZeroDot1 commented on 2019-01-21 23:21 (UTC)

nemo-dev cinnamon-translations-git Missing, because of this cinnamon cannot be built.

TheGuardianWolf commented on 2016-12-23 04:21 (UTC) (edited on 2016-12-23 04:22 (UTC) by TheGuardianWolf)

Created new working patch and PKGBUILD based on the old one: https://gist.github.com/TheGuardianWolf/12e48be37e09b9f9808d7e9938944d6b

scippio commented on 2015-09-10 07:33 (UTC)

Dependency `cinnamon-menus-git' of `cinnamon-git' does not exist.

xhpohanka commented on 2015-05-28 07:44 (UTC)

set_wheel.patch fails, def change_password(self) has been changed

dalcde commented on 2015-03-31 08:00 (UTC)

Also either this or muffin should depend on xorg-server